Halide 22.0.0 Halide compiler and libraries

Loading...
Searching...
No Matches
Public Member Functions | Protected Types | List of all members
Halide::GeneratorOutput< T > Class Template Reference

`#include <Generator.h>`

Inheritance diagram for Halide::GeneratorOutput< T >:

## Public Member Functions
| GeneratorOutput (const std::string &name)
| GeneratorOutput (const char *name)
| GeneratorOutput (size_t array_size, const std::string &name)
| GeneratorOutput (const std::string &name, int d)
| GeneratorOutput (const std::string &name, const Type &t)
| GeneratorOutput (const std::string &name, const std::vector< Type > &t)
| GeneratorOutput (const std::string &name, const Type &t, int d)
| GeneratorOutput (const std::string &name, const std::vector< Type > &t, int d)
| GeneratorOutput (size_t array_size, const std::string &name, int d)
| GeneratorOutput (size_t array_size, const std::string &name, const Type &t)
| GeneratorOutput (size_t array_size, const std::string &name, const std::vector< Type > &t)
| GeneratorOutput (size_t array_size, const std::string &name, const Type &t, int d)
| GeneratorOutput (size_t array_size, const std::string &name, const std::vector< Type > &t, int d)
template<typename T2 , int D2>
GeneratorOutput< T > & | operator= (Buffer< T2, D2 > &buffer)
template<typename T2 >
GeneratorOutput< T > & | operator= (const Internal::StubOutputBuffer< T2 > &stub_output_buffer)
GeneratorOutput< T > & | operator= (const Func &f)

## Protected Types
using | TBase = typename Super::TBase

## Detailed Description

template<typename T>
class Halide::GeneratorOutput< T >

Definition at line 2801 of file Generator.h.

## Member Typedef Documentation

## ◆ TBase

template<typename T >

using Halide::GeneratorOutput< T >::TBase = typename Super::TBase
| protected

Definition at line 2806 of file Generator.h.

## Constructor & Destructor Documentation

## ◆ GeneratorOutput() [1/13]

template<typename T >

Halide::GeneratorOutput< T >::GeneratorOutput | ( | const std::string & | name | ) |
| inline explicit

Definition at line 2812 of file Generator.h.

## ◆ GeneratorOutput() [2/13]

template<typename T >

Halide::GeneratorOutput< T >::GeneratorOutput | ( | const char * | name | ) |
| inline explicit

Definition at line 2816 of file Generator.h.

## ◆ GeneratorOutput() [3/13]

template<typename T >

Halide::GeneratorOutput< T >::GeneratorOutput | ( | size_t | array_size,
|  | const std::string & | name
| ) |  |
| inline explicit

Definition at line 2820 of file Generator.h.

## ◆ GeneratorOutput() [4/13]

template<typename T >

Halide::GeneratorOutput< T >::GeneratorOutput | ( | const std::string & | name,
|  | int | d
| ) |  |
| inline explicit

Definition at line 2824 of file Generator.h.

## ◆ GeneratorOutput() [5/13]

template<typename T >

Halide::GeneratorOutput< T >::GeneratorOutput | ( | const std::string & | name,
|  | const Type & | t
| ) |  |
| inline explicit

Definition at line 2828 of file Generator.h.

## ◆ GeneratorOutput() [6/13]

template<typename T >

Halide::GeneratorOutput< T >::GeneratorOutput | ( | const std::string & | name,
|  | const std::vector< Type > & | t
| ) |  |
| inline explicit

Definition at line 2832 of file Generator.h.

## ◆ GeneratorOutput() [7/13]

template<typename T >

Halide::GeneratorOutput< T >::GeneratorOutput | ( | const std::string & | name,
|  | const Type & | t,
|  | int | d
| ) |  |
| inline explicit

Definition at line 2836 of file Generator.h.

## ◆ GeneratorOutput() [8/13]

template<typename T >

Halide::GeneratorOutput< T >::GeneratorOutput | ( | const std::string & | name,
|  | const std::vector< Type > & | t,
|  | int | d
| ) |  |
| inline explicit

Definition at line 2840 of file Generator.h.

## ◆ GeneratorOutput() [9/13]

template<typename T >

Halide::GeneratorOutput< T >::GeneratorOutput | ( | size_t | array_size,
|  | const std::string & | name,
|  | int | d
| ) |  |
| inline explicit

Definition at line 2844 of file Generator.h.

## ◆ GeneratorOutput() [10/13]

template<typename T >

Halide::GeneratorOutput< T >::GeneratorOutput | ( | size_t | array_size,
|  | const std::string & | name,
|  | const Type & | t
| ) |  |
| inline explicit

Definition at line 2848 of file Generator.h.

## ◆ GeneratorOutput() [11/13]

template<typename T >

Halide::GeneratorOutput< T >::GeneratorOutput | ( | size_t | array_size,
|  | const std::string & | name,
|  | const std::vector< Type > & | t
| ) |  |
| inline explicit

Definition at line 2852 of file Generator.h.

## ◆ GeneratorOutput() [12/13]

template<typename T >

Halide::GeneratorOutput< T >::GeneratorOutput | ( | size_t | array_size,
|  | const std::string & | name,
|  | const Type & | t,
|  | int | d
| ) |  |
| inline explicit

Definition at line 2856 of file Generator.h.

## ◆ GeneratorOutput() [13/13]

template<typename T >

Halide::GeneratorOutput< T >::GeneratorOutput | ( | size_t | array_size,
|  | const std::string & | name,
|  | const std::vector< Type > & | t,
|  | int | d
| ) |  |
| inline explicit

Definition at line 2860 of file Generator.h.

## Member Function Documentation

## ◆ operator=() [1/3]

template<typename T >
template<typename T2 , int D2>

GeneratorOutput< T > & Halide::GeneratorOutput< T >::operator= | ( | Buffer< T2, D2 > & | buffer | ) |
| inline

Definition at line 2868 of file Generator.h.

## ◆ operator=() [2/3]

template<typename T >
template<typename T2 >

GeneratorOutput< T > & Halide::GeneratorOutput< T >::operator= | ( | const Internal::StubOutputBuffer< T2 > & | stub_output_buffer | ) |
| inline

Definition at line 2874 of file Generator.h.

References Halide::cast().

## ◆ operator=() [3/3]

template<typename T >

GeneratorOutput< T > & Halide::GeneratorOutput< T >::operator= | ( | const Func & | f | ) |
| inline

Definition at line 2879 of file Generator.h.

The documentation for this class was generated from the following file:

- src/Generator.h